Subject: Re: bug#31065: Version 2??

From: Mark Adler <[email-masked]>
Date: Wed, 4 Apr 2018 17:54:30 -0700

Jim,

So gzip has run into a version 2.0 wall. Just out of curiosity, will the next version be 1.91? 2.0? 1.A?

Mark

> On Apr 4, 2018, at 5:18 PM, Jim Meyering <[email-masked]> wrote:
> 
> tags 31065 notabug
> stop
> 
> On Wed, Apr 4, 2018 at 4:01 PM, Mark Adler <[email-masked]> wrote:
>> Jean-loup has not worked on gzip for many years, but I will leave it to the gzip maintainers here to answer to their future intentions.
>> 
>> However pigz has that ability now with the --independent option, where the block size defaults to 128K, and can be changed with the --blocksize option. See http://zlib.net/pigz/
> 
> Hi Mark, thanks for replying.
> 
> As for gzip vs. 2.0, I can say with confidence that we would strongly
> discourage such an effort here. If you want that capability, use pigz.
> While gzip is worth maintaining, it is definitely not the compression
> tool of the future.
> 
> I've marked this as "notabug" and closed the issue in gzip's tracker,
> but you're welcome to continue replying here.
> 
> 
>